WordPress theme or plugin upgrade: “Could not remove plugin” This error happened to my wordpress installation a few weeks after I upgraded to Ubuntu 12.10 which upgraded WordPress to 3.4.2. The WordPress default content path has changed from /usr/share/wordpress to /var/lib/wordpress. Symbolic links point from the /var/lib paths to /usr/share. Howewer, upgrading a plugin or theme using SSH login data fails with the error “Could not remove plugin”.

Workaround: In /usr/share/wordpress/wp-config.php, change WP_CONTENT_DIR back to /usr/share/wordpress/wp-content/.

This might not be the best solution, but was the only way in my case which worked.

 

Share This:

  [email protected]